/**
 * Write a description of class SeguroComparatorCod here.
 * 
 * @author FMM 
 * @version (a version number or a date)
 */
import java.util.*;
import java.io.Serializable;
public class SeguroComparatorData implements Comparator<Seguro>, Serializable {
    public int compare(Seguro seg1, Seguro seg2) {
        GregorianCalendar data1 = seg1.getDataInicio();
        GregorianCalendar data2 = seg2.getDataInicio();
        if(data1.before(data2)) return -1;
        if(data1.after(data2)) return 1; else return 0;
    }
    
}
